
void _efl_ui_focus_composition_adapter_canvas_object_set(Eo *obj, Efl_Ui_Focus_Composition_Adapter_Data *pd, Efl_Canvas_Object *v);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_focus_composition_adapter_canvas_object_set, EFL_FUNC_CALL(v), Efl_Canvas_Object *v);

Efl_Canvas_Object *_efl_ui_focus_composition_adapter_canvas_object_get(const Eo *obj, Efl_Ui_Focus_Composition_Adapter_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_focus_composition_adapter_canvas_object_get, Efl_Canvas_Object *, NULL);

void _efl_ui_focus_composition_adapter_focus_manager_object_set(Eo *obj, Efl_Ui_Focus_Composition_Adapter_Data *pd, Efl_Ui_Focus_Manager *v);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_focus_composition_adapter_focus_manager_object_set, EFL_FUNC_CALL(v), Efl_Ui_Focus_Manager *v);

void _efl_ui_focus_composition_adapter_focus_manager_parent_set(Eo *obj, Efl_Ui_Focus_Composition_Adapter_Data *pd, Efl_Ui_Focus_Object *parent);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_focus_composition_adapter_focus_manager_parent_set, EFL_FUNC_CALL(parent), Efl_Ui_Focus_Object *parent);

Eina_Rect _efl_ui_focus_composition_adapter_efl_ui_focus_object_focus_geometry_get(const Eo *obj, Efl_Ui_Focus_Composition_Adapter_Data *pd);


Efl_Ui_Focus_Object *_efl_ui_focus_composition_adapter_efl_ui_focus_object_focus_parent_get(const Eo *obj, Efl_Ui_Focus_Composition_Adapter_Data *pd);


Efl_Ui_Focus_Manager *_efl_ui_focus_composition_adapter_efl_ui_focus_object_focus_manager_get(const Eo *obj, Efl_Ui_Focus_Composition_Adapter_Data *pd);


void _efl_ui_focus_composition_adapter_efl_ui_focus_object_focus_set(Eo *obj, Efl_Ui_Focus_Composition_Adapter_Data *pd, Eina_Bool focus);


void _efl_ui_focus_composition_adapter_efl_object_destructor(Eo *obj, Efl_Ui_Focus_Composition_Adapter_Data *pd);


static Eina_Bool
_efl_ui_focus_composition_adapter_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_FOCUS_COMPOSITION_ADAPTER_EXTRA_OPS
#define EFL_UI_FOCUS_COMPOSITION_ADAPTER_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_focus_composition_adapter_canvas_object_set, _efl_ui_focus_composition_adapter_canvas_object_set),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_composition_adapter_canvas_object_get, _efl_ui_focus_composition_adapter_canvas_object_get),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_composition_adapter_focus_manager_object_set, _efl_ui_focus_composition_adapter_focus_manager_object_set),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_composition_adapter_focus_manager_parent_set, _efl_ui_focus_composition_adapter_focus_manager_parent_set),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_object_focus_geometry_get, _efl_ui_focus_composition_adapter_efl_ui_focus_object_focus_geometry_get),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_object_focus_parent_get, _efl_ui_focus_composition_adapter_efl_ui_focus_object_focus_parent_get),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_object_focus_manager_get, _efl_ui_focus_composition_adapter_efl_ui_focus_object_focus_manager_get),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_object_focus_set, _efl_ui_focus_composition_adapter_efl_ui_focus_object_focus_set),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_focus_composition_adapter_efl_object_destructor),
      EFL_UI_FOCUS_COMPOSITION_ADAPTER_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_focus_composition_adapter_class_desc = {
   EO_VERSION,
   "Efl.Ui.Focus.Composition_Adapter",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Focus_Composition_Adapter_Data),
   _efl_ui_focus_composition_adapter_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_focus_composition_adapter_class_get, &_efl_ui_focus_composition_adapter_class_desc, EFL_OBJECT_CLASS, EFL_UI_FOCUS_OBJECT_MIXIN, NULL);
